<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script type="module" src="Enumerations.mjs"></script>
<script type="module" src="Calculatrice.mjs"></script>
<div id="buttonGrid">
    <div id="display" style="grid-area: 1 / 1 / 2 / 6 ">
        <p id="displayText">0</p>
    </div>
    <div>
        <p>MRC</p>
    </div>
    <div>
        <p>M-</p>
    </div>
    <div>
        <p>M+</p>
    </div>
    <div>
        <p>set %</p>
    </div>
    <div id="DIVISION" class="orangeBack">
        <p>÷</p>
    </div>
    <div class="orangeBack">
        <p>+/_</p>
    </div>
    <div id="7">
        <p>7</p>
    </div>
    <div id="8">
        <p>8</p>
    </div>
    <div id="9">
        <p>9</p>
    </div>
    <div id="MULTIPLICATION" class="orangeBack">
        <p>✖</p>
    </div>
    <div class="orangeBack">
        <p>➤</p> <!-- ? -->
    </div>
    <div id="4">
        <p>4</p>
    </div>
    <div id="5">
        <p>5</p>
    </div>
    <div id="6">
        <p>6</p>
    </div>
    <div id="SOUSTRACTION" class="orangeBack">
        <p>-</p>
    </div>
    <div id="1">
        <p>1</p>
    </div>
    <div id="2">
        <p>2</p>
    </div>
    <div id="3">
        <p>3</p>
    </div>
    <div id="ADDITION" class="orangeBack" style="grid-area: 4 / 5 / 6 / 6">
        <p>+</p>
    </div>
    <div id="ERASE" class="orangeBack">
        <p>C</p>
    </div>
    <div id="ERASEALL" class="orangeBack">
        <p>AC</p>
    </div>
    <div id="0">
        <p>0</p>
    </div>
    <div>
        <p>.</p>
    </div>
    <div id="EQUALS" class="orangeBack">
        <p>=</p>
    </div>

</div>
<style>
    .orangeBack{
        background-color: #e37b48 !important;
    }
    #display{
        border: 5px solid #1e1d23;
        background-color: white !important;
        justify-content: flex-end !important;
        color: #1e1d23 !important;
        padding: 5px;
    }
    body{
        background-color: #141417;
    }
    #buttonGrid{
        display: grid;
        grid-template-rows: 75px 75px 75px 75px 75px 75px;
        grid-template-columns: 75px 75px 75px 75px 75px;
        grid-gap: 5px;
    }
    #buttonGrid div {
        background-color: #1e1d23;
        border-radius: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 1.5em;
        font-weight: bold;
        color: white;
    }
</style>
<script type="module" src="main.js"></script>
</body>
</html>